#### D.15.13.14 getModuleGrading

Procedure from library `multigrading.lib` (see multigrading_lib).

Usage:
  getModuleGrading(m), 'm' module/vector

Return:
  integer matrix of the multiweights of free module generators attached to 'm'

Example:

    LIB "multigrading.lib";
    ring R = 0, (x,y), dp;
    intmat M[2][2]=
    1, 1,
    0, 2;
    intmat T[2][5]=
    1,  2,  3,  4, 0,
    0, 10, 20, 30, 1;
    setBaseMultigrading(M, T);
    ideal I = x, y, xy^5;
    isHomogeneous(I);
    ==> 1
    intmat V = multiDeg(I); print(V);
    ==>      1     1    10
    ==>      0     2    10
    module S = syz(I); print(S);
    ==> -y,x4y5,
    ==> x, 0,
    ==> 0, -1
    S = setModuleGrading(S, V);
    getModuleGrading(S) == V;
    ==> 1
    vector v = getGradedGenerator(S, 1);
    getModuleGrading(v) == V;
    ==> 1
    isHomogeneous(v);
    ==> 1
    print( multiDeg(v) );
    ==> 2,
    ==> 2
    isHomogeneous(S);
    ==> 1
    print( multiDeg(S) );
    ==>      2    10
    ==>      2    10

User manual for Singular version 4-0-3, 2016, generated by texi2html.